Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput
Class NodeBranchDataInput

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput.NodeBranchDataInput

Direct Known Subclasses:
  NewNodeBranchDataInput

    public class NodeBranchDataInput

extends java.lang.Object

Field Summary
`protected javax.swing.JComboBox` | `comboBox`

Constructor Summary
`NodeBranchDataInput(javax.swing.JPanel panel, int x, int y)`

Method Summary
`protected javax.swing.JComboBox` | `getComboBox()`
`NodeDataComboBoxModel` | `getModel()`
`NodeBranchDataAdapter` | `getSelectedAdapter()` Returns the currently selected adapter.
`void` | `setAdapters(Tree tree)` Refeshs the selectable node data adapters.
`void` | `setAdapters(Tree tree, boolean nodeNamesSelectable, boolean branchLengthSelectable, boolean decimalOnly, boolean newIDSelectable)` Refeshs the selectable node data adapters.
`void` | `setEnabled(boolean enabled)`
`void` | `setOnlyNewAdapters()` After the call of this method only adapters which create new data will be available.
`boolean` | `setSelectedAdapter(java.lang.Class<? extends NodeBranchDataAdapter> adapterClass)` Selects the adapter which is an instance (not instance of a subclass) of the given class.
`boolean` | `setSelectedAdapter(NodeBranchDataAdapter adapter)` Selects the adapter which is an instance (not instance of a subclass) of same class as the given adapter and has the same ID (if it is an adapter for ID elements).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comboBox

    protected javax.swing.JComboBox comboBox

Constructor Detail

### NodeBranchDataInput

    public NodeBranchDataInput(javax.swing.JPanel panel,
                               int x,
                               int y)

Method Detail

### getModel

    public NodeDataComboBoxModel getModel()

### getComboBox

    protected javax.swing.JComboBox getComboBox()

### setEnabled

    public void setEnabled(boolean enabled)

### setOnlyNewAdapters

    public void setOnlyNewAdapters()

  After the call of this method only adapters which create new data will be available.

### setAdapters

    public void setAdapters(Tree tree)

  Refeshs the selectable node data adapters.

  Parameters:
    `tree` - - the tree which contains the data

### setAdapters

    public void setAdapters(Tree tree,
                            boolean nodeNamesSelectable,
                            boolean branchLengthSelectable,
                            boolean decimalOnly,
                            boolean newIDSelectable)

  Refeshs the selectable node data adapters.

  Parameters:
    `tree` - - the tree to obtain the IDs from (Can also be `null`.)
    `nodeNamesSelectable` - - determines whether the node names adapter can be selected
    `branchLengthSelectable` - - determines whether the branch length adapter can be selected
    `decimalOnly` - - only adapters for node/branch data columns that contain at least one decimal element are included (This flag overwrites `nodeNamesSelectable` and `branchLengthSelectable`.)
    `newIDSelectable` - - If true an adaptor for a new user defined label ID is added. Note that ths label ID has still to be set. This adapters are also added if `decimalOnly` is `true`.

### setSelectedAdapter

    public boolean setSelectedAdapter(java.lang.Class<? extends NodeBranchDataAdapter> adapterClass)

  Selects the adapter which is an instance (not instance of a subclass) of the given class.

  Parameters:
    `adapterClass` -
  Returns:
    `true`, if one adapter was selected, `false`, if no adapter of the given class was found

### setSelectedAdapter

    public boolean setSelectedAdapter(NodeBranchDataAdapter adapter)

  Selects the adapter which is an instance (not instance of a subclass) of same class as the given adapter and has the same ID (if it is an adapter for ID elements).

  Parameters:
    `adapter` -
  Returns:
    `true`, if one adapter was selected, `false`, if no adapter of the given class (with the given ID) was found

### getSelectedAdapter

    public NodeBranchDataAdapter getSelectedAdapter()

  Returns the currently selected adapter.

  Returns:
    the selected adapter (not a copy of it)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD